gnutls_record_can_use_length_hiding(3)

NAME
gnutls_record_can_use_length_hiding - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_record_can_use_length_hiding(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
If the session supports length-hiding padding, you can invoke gnutls_range_send_message() to send a message whose length is hidden in the given range. If the session does not support length hiding padding, you can use the standard gnutls_record_send() function, or gnutls_range_send_message() making sure that the range is the same as the length of the message you are trying to send.

RETURNS
true (1) if the current session supports length-hiding padding, false (0) if the current session does not.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/